services:
  media_library.ui_builder:
    class: Drupal\media_library\MediaLibraryUiBuilder
    arguments: ['@entity_type.manager', '@request_stack', '@views.executable', '@form_builder', '@media_library.opener_resolver']
  Drupal\media_library\MediaLibraryUiBuilder: '@media_library.ui_builder'
  media_library.route_subscriber:
    class: Drupal\media_library\Routing\RouteSubscriber
    tags:
      - { name: event_subscriber }
  media_library.opener_resolver:
    class: Drupal\media_library\OpenerResolver
    calls:
      - [setContainer, ['@service_container']]
  Drupal\media_library\OpenerResolverInterface: '@media_library.opener_resolver'
  media_library.opener.field_widget:
    class: Drupal\media_library\MediaLibraryFieldWidgetOpener
    arguments: ['@entity_type.manager']
  media_library.opener.editor:
    class: Drupal\media_library\MediaLibraryEditorOpener
    arguments: ['@entity_type.manager']
